import { Button } from "@/components/ui/button"
import { IGweet } from "../../types"

import { Icons } from "@/components/icons"

export const CommentButton = ({ gweet }: { gweet: IGweet }) => {
    return (
        <div className="relative inline-flex items-center">
            <Button variant="ghost" size="icon" className="hover:bg-sky-800 z-40">
                <Icons.messagecircle className="w-6 h-6" />
            </Button>

            {gweet.allComments.length > 0 && (
                <span className="absolute pl-12">{gweet.allComments.length}</span>
            )}
        </div>
    )
}