import { UserAvatar } from "@/components/user-avatar"
import Link from "next/link"
import { IGweet } from "../types"
import { GweetOptions } from "./gweet-options"

export const GweetAuthor = ({ gweet }: { gweet: IGweet }) => {
    return (
        <div className="flex items-center">
            <Link
                href={`/${gweet.author.username}`}
                onClick={(e) => {
                    e.stopPropagation()
                }}>
                <UserAvatar
                    user={{ username: gweet.author.username, image: gweet.author.image }}
                    className="h-10 w-10"
                />
            </Link>
            <Link
                className="flex flex-col ml-3"
                href={`/${gweet.author.username}`}
                onClick={(e) => {
                    e.stopPropagation()
                }}>
                <span className="font-bold">{gweet.author.name}</span>
                <span className="text-sky-500 text-sm hover:underline">@{gweet.author.username}</span>
            </Link>

            <div className="ml-auto">
                <GweetOptions gweet={gweet} />
            </div>
        </div>
    )
}